=head1 NAME

Gnome2::Entry - wrapper for GnomeEntry

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::Combo
                                     +----Gnome2::Entry



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable
  Gtk2::Editable



=cut


=head1 METHODS

=head2 widget = Gnome2::Entry-E<gt>B<new> ($history_id=undef)

=over

=item * $history_id (string) 

=back

=head2 $gentry-E<gt>B<append_history> ($save, $text)

=over

=item * $save (boolean) 

=item * $text (string) 

=back

=head2 $gentry-E<gt>B<clear_history> 

=head2 widget = $gentry-E<gt>B<gtk_entry> 

=head2 string = $gentry-E<gt>B<get_history_id> 

=head2 $gentry-E<gt>B<set_history_id> ($history_id)

=over

=item * $history_id (string) 

=back

=head2 integer = $gentry-E<gt>B<get_max_saved> 

=head2 $gentry-E<gt>B<set_max_saved> ($max_saved)

=over

=item * $max_saved (integer) 

=back

=head2 $gentry-E<gt>B<prepend_history> ($save, $text)

=over

=item * $save (boolean) 

=item * $text (string) 

=back



=cut


=head1 PROPERTIES

=over

=item 'gtk-entry' (Gtk2::Entry : default undef : readable)

The GTK entry

=item 'history-id' (string : default undef : readable / writable)

History ID

=back



=cut


=head1 SIGNALS

=over

=item B<activate> (Gnome2::Entry)

=back



=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::HBox>, L<Gtk2::Combo>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

